#pragma once
#include "Variant.h"


class Rena3D_Renderer {
public:
	void RenderFrame(r3d_Variant::RenderTime timeSignature);
	void InitTree();
	void Notification(r3d_Variant::NotificationSignal what);
private:
	void _DispatchNotification(r3d_Variant::NotificationSignal what);
	void _WMGetSignal(r3d_Variant::NotificationSignal what);
};